#!/bin/sh

# MountAdd - Add a new mount point and mount a filesystem

MNT=$1

if [ -f ${MNT} ]; then
	echo "ERROR:  Cannot mount on top of a file, must be a directory"
	exit 1
fi

if [ ! -d ${MNT} ]; then
	mkdir -p ${MNT} 2>/dev/null
	if [ $? -ne 0 ]                                                                 
	then
		echo "ERROR:  Cannot make the necessary mount point"
		exit 1
	fi
fi
	
mount ${MNT} 2> /dev/null
if [ $? -ne 0 ]                                                                 
then
	echo "ERROR:  Cannot mount directory!"
	exit 1
fi

exit 0




